Subject: Re: SSH session terminates with Ctl+C
From: "Ehud Karni" <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Wed, 6 Aug 2003 01:46:03 +0300

On Tue, 5 Aug 2003 15:02:38 -0700 (PDT), Jeff Nokes <[email-masked]> wrote:
>
> My info is as follows:
> W2K workstation, SP3
> - cygwin: 1.3.22-1
>   - bash: GNU bash, version 2.05b.0(9)-release (i686-pc-cygwin)
>   - ssh: openssh 3.6.1 p1-2
>
> RedHat 9.0
> - kernel: 2.4.20
> - sshd: openssh-server-3.5p1-6

I did not run against RH 9.0 / OpenSSH 3.5p1, so I can not testify
first hand on this. I did (and still) run older Red Hat versions (7.2,
7.3), OpenSSH 2.9/3.1 and it works without any problems.

Just 1 more suggestion: Run your ssh in debug mode (with -v) and check
the last lines of the session. If you see the summary lines (i.e. the
"debug1: compress incoming/outgoing: raw data <nnnn>, compressed <nnnn>,
factor <rrrr>" then the session was terminated by the sshd (i.e. Linux).
If you don't then it was terminated locally (i.e. Cygwin).

> Solaris
> - SunOS 5.6 Generic_105181-17 sun4u sparc SUNW,Ultra-4
> - openssh 1.2.27

Ehud.

- --
 Ehud Karni           Tel: +972-3-7966-561  /"\
 Mivtach - Simon      Fax: +972-3-7966-667  \ /  ASCII Ribbon Campaign
 Insurance agencies   (USA) voice mail and   X   Against   HTML   Mail
 http://www.mvs.co.il  FAX:  1-815-5509341  / \
 mailto:[email-masked]                  Better  Safe  Than  Sorry

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/